## wrt-policy 1.0-1

=== Makefile ===
INSTALL=install -D --mode=0644 -p
INSTALL_ROOT=
INSTALL_SYSCONFDIR=/etc

install:
	$(INSTALL) browser_access_policy.xml $(INSTALL_ROOT)$(INSTALL_SYSCONFDIR)/wrt/security/browser_access_policy.xml
	$(INSTALL) browser_trust_policy.xml $(INSTALL_ROOT)$(INSTALL_SYSCONFDIR)/wrt/security/browser_trust_policy.xml
	$(INSTALL) mapping.xml $(INSTALL_ROOT)$(INSTALL_SYSCONFDIR)/wrt/security/mapping.xml

=== debian/changelog ===
wrt-policy (1.0-1) unstable; urgency=low

  * Remove the un-needed MD5 checksum.
  * Add mapping.xml into wrt-policy as it might be updated with the policy files.

 -- Xizhi Zhu <xizhi.zhu@gmail.com>  Fri, 21 May 2010 15:20:00 +0300

wrt-policy (0.1beta-1) unstable; urgency=low

  * Initial debianization.

 -- Rodrigo Belem <rodrigo.belem@openbossa.org>  Mon, 26 Apr 2010 17:27:45 -0400

=== debian/control ===
Source: wrt-policy
Section: web
Priority: extra
Maintainer: Xizhi Zhu <xizhi.zhu@nokia.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: wrt-policy
Architecture: all
Section: web
Depends: ${misc:Depends}
Description: Qt Web Runtime policy files for Maemo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TARFILE?=wrt-policy_1.0~svn$(shell date +%Y%m%d).orig.tar

get-orig-source:
	svn export https://trace1.isource-nokia.nokia.com/isource/svnroot/BrDo/cwrt/trunk/policy wrt-policy
	tar cf ../$(TARFILE) wrt-policy
	rm -rf wrt-policy
	gzip -9fn ../$(TARFILE)

../$(TARFILE): get-orig-source

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

build:
	dh_testdir

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --sourcedir=debian/tmp
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
